Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-stub/citydlg.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions
citydlg.c File Reference
`#include "gui_stub.h"`
`#include "citydlg.h"`

Go to the source code of this file.

## Functions

void | gui_real_city_dialog_popup (struct city *pcity)
void | gui_popdown_city_dialog (struct city *pcity)
void | gui_popdown_all_city_dialogs (void)
void | gui_real_city_dialog_refresh (struct city *pcity)
void | gui_refresh_unit_city_dialogs (struct unit *punit)
bool | gui_city_dialog_is_open (struct city *pcity)

## Function Documentation

## ◆ gui_city_dialog_is_open()

bool gui_city_dialog_is_open | ( | struct city * | pcity | ) |

Return whether the dialog for the given city is open.

Definition at line 85 of file citydlg.c.

Referenced by setup_gui_funcs().

## ◆ gui_popdown_all_city_dialogs()

void gui_popdown_all_city_dialogs | ( | void |  | ) |

Close the dialogs for all cities.

Definition at line 43 of file citydlg.c.

Referenced by setup_gui_funcs().

## ◆ gui_popdown_city_dialog()

void gui_popdown_city_dialog | ( | struct city * | pcity | ) |

Close the dialog for the given city.

Definition at line 35 of file citydlg.c.

Referenced by setup_gui_funcs().

## ◆ gui_real_city_dialog_popup()

void gui_real_city_dialog_popup | ( | struct city * | pcity | ) |

Pop up (or bring to the front) a dialog for the given city. It may or may not be modal.

Definition at line 27 of file citydlg.c.

Referenced by setup_gui_funcs().

## ◆ gui_real_city_dialog_refresh()

void gui_real_city_dialog_refresh | ( | struct city * | pcity | ) |

Refresh (update) all data for the given city's dialog.

Definition at line 51 of file citydlg.c.

Referenced by setup_gui_funcs().

## ◆ gui_refresh_unit_city_dialogs()

void gui_refresh_unit_city_dialogs | ( | struct unit * | punit | ) |

Update city dialogs when the given unit's status changes. This typically means updating both the unit's home city (if any) and the city in which it is present (if any).

Definition at line 61 of file citydlg.c.

Referenced by setup_gui_funcs().